/*
 * To change this license header, choose License Headers in Project Properties.
 * To change this template file, choose Tools | Templates
 * and open the template in the editor.
 */
package com.contabilidad.EntConta;

import java.io.Serializable;
import java.math.BigDecimal;
import javax.persistence.Basic;
import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.Id;
import javax.persistence.NamedQueries;
import javax.persistence.NamedQuery;
import javax.persistence.Table;
import javax.validation.constraints.NotNull;
import javax.validation.constraints.Size;
import javax.xml.bind.annotation.XmlRootElement;

/**
 *
 * @author obper
 */
@Entity
@Table(name = "vEmpleados_fijos")
public class VEmpleadosFijos implements Serializable {

    private static final long serialVersionUID = 1L;
    @Basic(optional = false)
    @NotNull
    @Column(name = "codigo_empleado")
    @Id
    private String codigoEmpleado;
    @Column(name = "empleado")
    private String empleado;
    @Column(name = "departamento")
    private String departamento;
    @Column(name = "dia_pago")
    private BigDecimal diaPago;
    @Column(name = "hora_pago")
    private BigDecimal horaPago;
    @Column(name = "hora_extra_nocturna")
    private BigDecimal horaExtraNocturna;
    @Column(name = "hora_extra_diurna")
    private BigDecimal horaExtraDiurna;

    public String getCodigoEmpleado() {
        return codigoEmpleado;
    }

    public void setCodigoEmpleado(String codigoEmpleado) {
        this.codigoEmpleado = codigoEmpleado;
    }

    public String getEmpleado() {
        return empleado;
    }

    public void setEmpleado(String empleado) {
        this.empleado = empleado;
    }

    public String getDepartamento() {
        return departamento;
    }

    public void setDepartamento(String departamento) {
        this.departamento = departamento;
    }

    public BigDecimal getDiaPago() {
        return diaPago;
    }

    public void setDiaPago(BigDecimal diaPago) {
        this.diaPago = diaPago;
    }

    public BigDecimal getHoraPago() {
        return horaPago;
    }

    public void setHoraPago(BigDecimal horaPago) {
        this.horaPago = horaPago;
    }

    public BigDecimal getHoraExtraNocturna() {
        return horaExtraNocturna;
    }

    public void setHoraExtraNocturna(BigDecimal horaExtraNocturna) {
        this.horaExtraNocturna = horaExtraNocturna;
    }

    public BigDecimal getHoraExtraDiurna() {
        return horaExtraDiurna;
    }

    public void setHoraExtraDiurna(BigDecimal horaExtraDiurna) {
        this.horaExtraDiurna = horaExtraDiurna;
    }

    public VEmpleadosFijos(String codigoEmpleado, String empleado, String departamento, BigDecimal diaPago, BigDecimal horaPago, BigDecimal horaExtraNocturna, BigDecimal horaExtraDiurna) {
        this.codigoEmpleado = codigoEmpleado;
        this.empleado = empleado;
        this.departamento = departamento;
        this.diaPago = diaPago;
        this.horaPago = horaPago;
        this.horaExtraNocturna = horaExtraNocturna;
        this.horaExtraDiurna = horaExtraDiurna;
    }

    public VEmpleadosFijos() {
    }
    
}
